import { ViewChild } from "@angular/core";
import { HttpClient } from '@angular/common/http';
import { StyleSetDirective } from './style-set.directive';
import { AppService } from './app.service';
import { ComService } from './com.service';
import { DEFAULT_OPTIONS } from './default-options';
import { StyleSetProp } from './style-set';
/**
 * Declares the WebChat property on the window object.
 */
declare global {
    interface Window {
        WebChat: any;
    }
}
export declare class BotDirective {
    private styleSetDir;
    private http;
    private appService;
    private comService;
    viewChild: ViewChild;
    styleSet: StyleSetProp;
    styleOptions: DEFAULT_OPTIONS;
    secretSetting: boolean;
    secret: string;
    error: any;
    constructor(styleSetDir: StyleSetDirective, http: HttpClient, appService: AppService, comService: ComService);
    botDirective(viewChild: any): void;
    makeError(): void;
}
